Colors in log

This commit is contained in:
Kroese 2023-05-11 03:41:54 +02:00 committed by GitHub
parent da0d32ba2d
commit aa5429d2fe

View File

@ -10,16 +10,19 @@ set -Eeuo pipefail
: ${DISK_SIZE:='16G'} # Initial data disk size : ${DISK_SIZE:='16G'} # Initial data disk size
: ${RAM_SIZE:='512M'} # Maximum RAM amount : ${RAM_SIZE:='512M'} # Maximum RAM amount
echo "Starting Virtual DSM for Docker v${VERSION}..." error () { echo -e >&2 "\E[1;31m ERROR: $1\E[0m" }
trap 'echo >&2 "Error status $? for: ${BASH_COMMAND} (line $LINENO/$BASH_LINENO)"' ERR info () { echo -e "\E[1;34m\E[1;36m INFO: $1\E[0m" }
[ ! -f "/run/run.sh" ] && echo "ERROR: Script must run inside Docker container!" && exit 11 info "Starting Virtual DSM for Docker v${VERSION}..."
[ "$(id -u)" -ne "0" ] && echo "ERROR: Script must be executed with root privileges." && exit 12 trap 'error "Error status $? for: ${BASH_COMMAND} (line $LINENO/$BASH_LINENO)"' ERR
[ ! -f "/run/run.sh" ] && error "Script must run inside Docker container!" && exit 11
[ "$(id -u)" -ne "0" ] && error "Script must be executed with root privileges." && exit 12
STORAGE="/storage" STORAGE="/storage"
KERNEL=$(uname -r | cut -b 1) KERNEL=$(uname -r | cut -b 1)
[ ! -d "$STORAGE" ] && echo "ERROR: Storage folder (${STORAGE}) not found!" && exit 13 [ ! -d "$STORAGE" ] && error "Storage folder (${STORAGE}) not found!" && exit 13
if [ -f "$STORAGE"/dsm.ver ]; then if [ -f "$STORAGE"/dsm.ver ]; then
BASE=$(cat "${STORAGE}/dsm.ver") BASE=$(cat "${STORAGE}/dsm.ver")
@ -58,7 +61,7 @@ else
fi fi
if [ -n "${KVM_ERR}" ]; then if [ -n "${KVM_ERR}" ]; then
echo "ERROR: KVM acceleration not detected ${KVM_ERR}, please enable it." error "KVM acceleration not detected ${KVM_ERR}, please enable it."
[[ "${DEBUG}" == [Yy1]* ]] && exit 88 [[ "${DEBUG}" == [Yy1]* ]] && exit 88
else else
KVM_OPTS=",accel=kvm -enable-kvm -cpu host" KVM_OPTS=",accel=kvm -enable-kvm -cpu host"